# Class CIM_PreconfiguredTunnelAction
extends CIM_PreconfiguredSAAction

PreconfiguredTunnelAction is used to create tunnel-mode SAs using preconfigured, hard-wired algorithms and keys. Note that the SPI for a preconfigured SA action is contained in the association, TransformOfPreconfiguredAction.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_ManagedElement
|
+--CIM_Policy
|
+--CIM_PolicyAction
|
+--CIM_SAAction
|
+--CIM_SAStaticAction
|
+--CIM_PreconfiguredSAAction
|
+--CIM_PreconfiguredTunnelAction

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Description | string | PreconfiguredTunnelAction is used to create tunnel-mode SAs using preconfigured, hard-wired algorithms and keys. Note that the SPI for a preconfigured SA action is contained in the association, TransformOfPreconfiguredAction.
MappingStrings | string | IPSP Policy Model.IETF|PreconfiguredTunnelAction
UMLPackagePath | string | CIM::IPsecPolicy
Version | string | 2.8.0

## Class Properties

### Local Class Properties

Name | Data Type | Default Value | Qualifiers
--- | --- | --- | ---
Name | Data Type | Value
DFHandling | uint16 |
Description | string | DFHandling controls how the Don't Fragment bit is managed by the tunnel.
MappingStrings | string | IPSP Policy Model.IETF|PreconfiguredTunnelAction.DFHandling
ModelCorrespondence | string | CIM_IPsecSAEndpoint.DFHandling
ValueMap | string | 2, 3, 4
Values | string | Copy from Internal to External IP Header, Set DF Bit in External Header to 1, Set DF Bit in External Header to 0

### Inherited Properties

Name | Data Type | Class Origin
--- | --- | ---
Caption | string | CIM_ManagedElement
CommonName | string | CIM_Policy
CreationClassName | string | CIM_PolicyAction
Description | string | CIM_ManagedElement
DoActionLogging | boolean | CIM_PolicyAction
DoPacketLogging | boolean | CIM_SAAction
ElementName | string | CIM_ManagedElement
InstanceID | string | CIM_ManagedElement
LifetimeKilobytes | uint64 | CIM_PreconfiguredSAAction
LifetimeSeconds | uint64 | CIM_SAStaticAction
PolicyActionName | string | CIM_PolicyAction
PolicyRuleCreationClassName | string | CIM_PolicyAction
PolicyRuleName | string | CIM_PolicyAction
SystemCreationClassName | string | CIM_PolicyAction
SystemName | string | CIM_PolicyAction
PolicyKeywords | string[] | CIM_Policy

## Class Methods